RoutesMcp serversServerslug
/mcp-servers/{serverSlug}
Delete an MCP server
AuthorizationBearer <token>
In: header
Path Parameters
serverSlug*string
Length
1 <= lengthResponse Body
application/json
curl -X DELETE "https://YOUR_ORG_ID.s.gatana.ai/api/v1/mcp-servers/string"{
"server": {
"id": "string",
"slug": "string",
"tenantId": "string",
"description": "string",
"authorization": {
"method": "none",
"credentialsScope": "server",
"apikeys": [
"string"
],
"toolRefreshCredentialPolicy": "server-scoped"
},
"transportConfig": {
"type": "httpstreaming",
"url": "string",
"headers": [
[
"string",
"string"
]
]
},
"oauthClientConfiguration": {},
"oauthMetadata": {},
"visibility": "private",
"isEnabled": true,
"lastToolRefreshAt": "string",
"mcpProtocolVersion": "string",
"mcpProtocolDetectedAt": "string",
"timeoutProtocol": 1,
"timeoutTotal": 1,
"resetTimeoutOnProgressNotification": true,
"isOutputCompressionEnabled": true,
"isOutputCompressionTransformEnabled": true,
"outputCompressionThresholdBytes": 1024,
"firewallRules": [
{
"tools": [],
"condition": "",
"check": {
"type": "secrets",
"target": "arguments"
},
"action": "deny"
}
],
"protections": {
"secrets": {
"mode": "off",
"actions": {
"arguments": "off",
"result": "off"
},
"settings": {}
},
"pii": {
"mode": "off",
"actions": {
"arguments": "off",
"result": "off"
},
"settings": {}
},
"injection": {
"mode": "off",
"actions": {
"arguments": "off",
"result": "off"
},
"settings": {}
}
},
"createdAt": "string",
"updatedAt": "string",
"resolvedProtections": {
"secrets": {
"actions": {
"arguments": {
"action": "off",
"source": "server",
"inherited": "off"
},
"result": {
"action": "off",
"source": "server",
"inherited": "off"
}
},
"settings": {
"property1": {
"value": null,
"source": "server",
"inherited": null
},
"property2": {
"value": null,
"source": "server",
"inherited": null
}
}
},
"pii": {
"actions": {
"arguments": {
"action": "off",
"source": "server",
"inherited": "off"
},
"result": {
"action": "off",
"source": "server",
"inherited": "off"
}
},
"settings": {
"property1": {
"value": null,
"source": "server",
"inherited": null
},
"property2": {
"value": null,
"source": "server",
"inherited": null
}
}
},
"injection": {
"actions": {
"arguments": {
"action": "off",
"source": "server",
"inherited": "off"
},
"result": {
"action": "off",
"source": "server",
"inherited": "off"
}
},
"settings": {
"property1": {
"value": null,
"source": "server",
"inherited": null
},
"property2": {
"value": null,
"source": "server",
"inherited": null
}
}
}
}
},
"files": [
{
"tenantId": "string",
"serverId": "string",
"id": "string",
"filename": "string",
"sourceType": "gcs",
"sourceId": "string",
"size": 0,
"credentialId": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}Last updated on